#Clear existing data and graphics
rm(list=ls())
graphics.off()
#Load Hmisc library
library(Hmisc)
#Read Data
data=read.csv('/biodbA/WorkshopDir/R_BioConductor/DATA_WHBIOCONDUCTOR_DEMO.CSV')
#Setting Labels

label(data$study_id)="Subject ID"
label(data$pregnant)="Number of pregnancies:"
label(data$glucose)="Plasma glucose concentration at 2 hours in an oral glucose tolerance test"
label(data$diastolic)="Diastolic blood pressure"
label(data$triceps)="Triceps skin fold thickness"
label(data$insulin)="2 hour serum insulin"
label(data$bmi)="Body mass index"
label(data$age_pima)="Age"
label(data$test)="Test for signs of diabetes"
label(data$pima_complete)="Complete?"
#Setting Units


#Setting Factors(will create new variable for factors)
data$test.factor = factor(data$test,levels=c("1","0"))
data$pima_complete.factor = factor(data$pima_complete,levels=c("0","1","2"))

levels(data$test.factor)=c("Positive","Negative")
levels(data$pima_complete.factor)=c("Incomplete","Unverified","Complete")
